# $Revision: 1.15 $, $Date: 2004/05/07 01:12:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	TableExtract
Summary:	HTML::TableExtract - extracting the text contained in HTML tables
Summary(pl):	HTML::TableExtract - wyciganie tekstu zawartego w tabelach HTML
Name:		perl-HTML-TableExtract
Version:	1.08
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	db5001e68c3036c1a72138d45f57bd21
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-HTML-Parser
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::TableExtract is a subclass of HTML::Parser that serves to
extract the textual information from tables of interest contained
within an HTML document. The text from each extracted table is stored
in tabe state objects which hold the information as an array of arrays
that represent the rows and cells of that table.

%description -l pl
HTML::TableExtract to podklasa HTML::Parser, ktra suy do wycigania
informacji tekstowych z tabel w dokumencie HTML. Tekst z kadej tabeli
jest zapisywany w obiektach, ktre przechowuj informacje jako tablic
tablic, reprezentujc wiersze i komrki tabeli.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-TableExtract.spec,v $
Revision 1.15  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.14  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.12  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.11  2004/04/20 23:30:12  ankry
- ported to new bconds

Revision 1.10  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:33:13  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.1  2002/08/09 10:00:07  radek
- new, STBR
